%define upstream_name Config-Model-Tester
%define upstream_version 4.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Test framework for Config::Model
License:    LGPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::Log::Log4perl)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildArch:  noarch

%description
Config::Model::Tester provides a way to test configuration models with
test files. This class was designed to test several models and several
test cases per model.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.7.0-3.mga10
+ Revision: 2207290
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 4.7.0-2.mga9
+ Revision: 1815036
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 4.7.0-1.mga9
+ Revision: 1753010
- update to 4.007

* Sat Aug 01 2020 tv <tv> 4.6.0-1.mga8
+ Revision: 1610089
- update to 4.006

* Tue Feb 18 2020 umeabot <umeabot> 4.5.0-2.mga8
+ Revision: 1539636
- Mageia 8 Mass Rebuild

* Tue Dec 10 2019 tv <tv> 4.5.0-1.mga8
+ Revision: 1465600
- update to 4.005

* Mon Nov 11 2019 tv <tv> 4.4.0-1.mga8
+ Revision: 1459213
- update to 4.004

* Sat Jun 29 2019 tv <tv> 4.3.0-1.mga8
+ Revision: 1415916
- update to 4.003

* Mon Jan 14 2019 tv <tv> 3.7.0-1.mga7
+ Revision: 1356705
- update to 3.007

* Thu Sep 20 2018 umeabot <umeabot> 3.6.0-2.mga7
+ Revision: 1282416
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 3.6.0-1.mga7
+ Revision: 1221490
- update to 3.006

* Mon Oct 02 2017 tv <tv> 3.2.0-2.mga7
+ Revision: 1163475
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 3.2.0-1.mga7
+ Revision: 1159431
- update to 3.002

* Fri Jul 21 2017 sander85 <sander85> 3.1.0-1.mga7
+ Revision: 1126149
- update to 3.001

* Sat Jun 18 2016 pterjan <pterjan> 2.54.0-2.mga6
+ Revision: 1024304
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 2.54.0-1.mga6
+ Revision: 1007472
- update to 2.054

* Fri Apr 15 2016 shlomif <shlomif> 2.53.0-1.mga6
+ Revision: 1001715
- update to 2.053

* Thu Feb 18 2016 umeabot <umeabot> 2.51.0-2.mga6
+ Revision: 966570
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 2.51.0-1.mga6
+ Revision: 845905
- update to 2.051

* Wed Oct 15 2014 umeabot <umeabot> 2.48.0-3.mga5
+ Revision: 747942
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.48.0-2.mga5
+ Revision: 683993
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 sander85 <sander85> 2.48.0-1.mga5
+ Revision: 633412
- update to 2.048

* Mon Oct 21 2013 umeabot <umeabot> 2.47.0-2.mga4
+ Revision: 539491
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 2.47.0-1.mga4
+ Revision: 492300
- update to 2.047

* Tue Sep 24 2013 sander85 <sander85> 2.46.0-1.mga4
+ Revision: 485548
- update to 2.046

* Sun Sep 15 2013 sander85 <sander85> 2.45.0-1.mga4
+ Revision: 479968
- update to 2.045

* Sun Sep 08 2013 sander85 <sander85> 2.44.0-1.mga4
+ Revision: 476348
- update to 2.044

* Thu Aug 29 2013 sander85 <sander85> 2.43.0-1.mga4
+ Revision: 472999
- imported package perl-Config-Model-Tester

